Bug 850642 - Fuse: backport FUSE_AUTO_INVAL_DATA flag support and related patches
Fuse: backport FUSE_AUTO_INVAL_DATA flag support and related patches
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Brian Foster
Jian Li
: FutureFeature
Depends On:
Blocks: 791327
  Show dependency treegraph
 
Reported: 2012-08-22 01:10 EDT by Anand Avati
Modified: 2015-09-01 19:05 EDT (History)
10 users (show)

See Also:
Fixed In Version: kernel-2.6.32-304.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 01:47:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2012-08-22 01:10:06 EDT
Upstream kernel.org commit ids:

72d0d248ca8232dbd30d35b42d0d86e39b3e322b
eed2179efe1aac145bf6d54b925b750976380fa6
a8894274a3581125fb311eabfc97cd0123740c5e
Comment 2 RHEL Product and Program Management 2012-08-22 08:20:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 3 Jian Li 2012-08-23 04:10:58 EDT
After scanning patches, FUSE_AUTO_INVAL_DATA flags need to be tested. When the flags is used, data coherent test is to be done. (file's mtime change cause revalidate stale data)

set qa_ack+
Comment 4 Brian Foster 2012-08-24 08:04:10 EDT
RHEL6.4 backport posted for review:

http://post-office.corp.redhat.com/archives/rhkernel-list/2012-August/msg01905.html
Comment 5 Jarod Wilson 2012-08-31 14:44:34 EDT
Patch(es) available on kernel-2.6.32-304.el6
Comment 10 errata-xmlrpc 2013-02-21 01:47:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.